<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 25/5/2018
 * Time: 7:06 PM
 */
include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['idAviso']) && isset($_REQUEST['estado'])) {
            $idaviso = $_REQUEST['idAviso'];
            $estado = $_REQUEST['estado'];
            $aviso = R::load('aviso', $idaviso);
            $aviso->fechaModificacion = date('Y-m-d H:i:s');
            $aviso->estado = $estado;
            $id = R::store($aviso);
            include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}